import _taggedTemplateLiteral from "@babel/runtime/helpers/esm/taggedTemplateLiteral";

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  padding: 8px 12px;\n  width: 100%;\n  border: 1px solid #dadcdf;\n  border-radius: 1px;\n  color: #afb3ba;\n  background-color: #fff;\n  font-size: 14px;\n  box-shadow: none;\n  outline: none;\n\n  &:focus::-webkit-input-placeholder {\n    color: #2f3337;\n  }\n\n  &:focus:-moz-placeholder {\n    color: #2f3337;\n  }\n\n  &:focus:-ms-input-placeholder {\n    color: #2f3337;\n  }\n\n  &:focus {\n    border-color: #0485cc;\n    color: #2f3337;\n  }\n\n  &:disabled {\n    background-color: #f5f6f7;\n    border: 1px solid #e7e8ea;\n    cursor: no-drop;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

import React from 'react';
import styled from 'styled-components';
var StyledInput = styled.input.attrs({
  type: 'text'
})(_templateObject());

var Input = function Input(props) {
  return React.createElement(StyledInput, props);
};

export default Input;