import _taggedTemplateLiteral from "@babel/runtime/helpers/esm/taggedTemplateLiteral";

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n\n  &::before {\n    content: ", ";\n    position: absolute;\n    left: calc(100% + 4px);\n    top: 50%;\n    padding: 10px 12px;\n    width: 320px;\n    border-radius: 1px;\n    line-height: 1.5;\n    background-color: #2f3337;\n    color: #f9fafb;\n    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.2);\n    pointer-events: none;\n    transform: translateY(-50%);\n    opacity: 0;\n  }\n\n  &:hover::before {\n    opacity: 1;\n    transition: opacity 0.1s ease-in 0.1s;\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  margin: 0 5px;\n  width: 14px;\n  height: 14px;\n\n  &::before {\n    content: '';\n    position: absolute;\n    left: 0;\n    top: 0;\n    width: 10px;\n    height: 10px;\n    border: 2px solid #fff;\n    border-radius: 50%;\n    border-top-color: transparent;\n    border-bottom-color: transparent;\n    animation: ", " 2s linear infinite;\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    to {transform: rotate(360deg)}\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

import styled, { keyframes } from 'styled-components';
var FlexRow = styled.div(_templateObject());
var spin = keyframes(_templateObject2());
var Spinner = styled.span(_templateObject3(), spin);
var Tooltip = styled.div(_templateObject4(), function (props) {
  return props.content ? "'".concat(props.content, "'") : '';
});
export { FlexRow, Spinner, Tooltip };